/*
 * linux/include/sunrpc/keycall.h
 *
 * RPC keyserver client declarations.
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#ifndef _LINUX_KEYCALL_H
#define _LINUX_KEYCALL_H

#include <linux/des.h>

struct cryptkeyarg {
	char *		remotename;
	uid_t		uid;
	des_cblock *	key;
};

struct cryptkeyres {
	des_cblock *	key;
};

void		keycall_cryptsession(struct rpc_task *, int encrypt, uid_t,
					struct cryptkeyarg *,
					struct cryptkeyres *);

#endif /* _LINUX_KEYCALL_H */
