/*
 * Copyright (c) 1995 Jeffrey A. Uphoff
 *
 * NSM for Linux.
 */

#include "statd.h"
#include "nlist.h"

#ifndef lint
static char vcid[] = "simu.c,v 1.3 1995/10/05 21:37:29 juphoff Exp";
#endif

extern void my_svc_exit (void);


/*
 * Services SM_SIMU_CRASH requests.
 */
void *
sm_simu_crash_1_svc(void *argp, struct svc_req *rqstp)
{
	static char    *result = NULL;

	log(L_WARNING, "*** SIMULATING CRASH! ***");
	my_svc_exit();

	if (rtnl)
		nlist_kill(&rtnl);

	return ((void *) &result);
}
