
#include <memory.h>
#include "nlm_prot.h"
#define MAXNAMELEN	LM_MAXSTRLEN+1

/*
 * Default timeout can be changed using clnt_control()
 */
static struct timeval TIMEOUT = { 25, 0 };

#define PROCEDURE(name, proc, vers, argt, rest)				\
nlm_##rest *								\
nlm_##name##_##vers(struct nlm_##argt *argp, CLIENT *clnt)		\
{									\
	static nlm_##rest	res;					\
	int			status;					\
									\
	memset((char *)&res, 0, sizeof(res));				\
	status = clnt_call(clnt, proc, (xdrproc_t) xdr_nlm_##argt, argp,\
				       (xdrproc_t) xdr_nlm_##rest, &res,\
				       TIMEOUT);			\
	return (status == RPC_SUCCESS)? &res : NULL;			\
}

#define nlm_void	char

#include "proto.h"
#undef	PROCEDURE

